import argparse,sys
from  clusterman.commands import node

def main():
    parser = argparse.ArgumentParser()
    subparsers = parser.add_subparsers(dest="command", help='Target')
    cmd_node = subparsers.add_parser("node")
    cmd_frontend = subparsers.add_parser("frontend")

    # Check if command specified:
    if len(sys.argv)==1:
        parser.print_help(sys.stderr)
        sys.exit(1)
    # Parse arguments:
    args = parser.parse_args()

    # Run the proper handler
    if args.command == "node":
        print("Do node related stuff")
        
    if args.command == "frontend":
        print("Do frontend related stuff")

    





